com.holonplatform.reactor.http

## Interface ReactiveRestClientFactory

- All Known Implementing Classes:
    WebClientReactiveRestClientFactory

      public interface ReactiveRestClientFactory

  Factory to create `ReactiveRestClient` instances.

  `ReactiveRestClientFactory` registration can be performed using default Java extension through `ServiceLoader`, providing a `com.holonplatform.reactor.http.ReactiveRestClientFactory` file in `META-INF/services` containing the ReactiveRestClientFactory concrete class names to register.

  The `ReactiveRestClientFactory` priority declaration is supported using the `Priority` annotation on factory class (where less priority value means higher priority order).

  Since:
    5.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PRIORITY` Default factory priority

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveRestClient` | `create(ClassLoader classLoader)` Create a new `ReactiveRestClient` instance.
    `Class<?>` | `getRestClientImplementationClass()` Get the `ReactiveRestClient` implementation class returned by this factory.

- - ### Field Detail

    - #### DEFAULT_PRIORITY

          static final int DEFAULT_PRIORITY

      Default factory priority
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRestClientImplementationClass

          Class<?> getRestClientImplementationClass()

      Get the `ReactiveRestClient` implementation class returned by this factory.
      Returns:
        the `ReactiveRestClient` implementation class

    - #### create

          ReactiveRestClient create(ClassLoader classLoader)
                             throws com.holonplatform.http.exceptions.RestClientCreationException

      Create a new `ReactiveRestClient` instance.
      Parameters:
        `classLoader` - The `ClassLoader` for which the instance creation is requested
      Returns:
        A new `ReactiveRestClient` instance
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException` - If an error occurred

Copyright © 2019 The Holon Platform. All rights reserved.